REST APIRegistered domains
Bind a registered domain to a project
Authorization
ApiKey x-api-key<token>
Workspace-owned API key with per-resource permissions.
In: header
Path Parameters
name*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
projectId*string
Length
1 <= lengthidempotencyKey?string
Length
1 <= length <= 128Response Body
application/json
curl -X POST "https://example.com/domains/string/bind" \ -H "Content-Type: application/json" \ -d '{ "projectId": "string" }'{ "name": "string", "status": "in_progress", "autoRenew": true, "privacyMode": "redaction", "boundProjectId": "string", "bindStatus": "unbound", "createdByUserId": "string", "registeredAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "renewal": { "state": "renewing", "expiresAt": "2019-08-24T14:15:22Z", "chargeAt": "2019-08-24T14:15:22Z", "hardDeadlineAt": "2019-08-24T14:15:22Z", "serviceEndsAt": "2019-08-24T14:15:22Z", "amountMicroUsd": -9007199254740991, "retryPaymentAvailable": true, "termYears": 1, "autoRenew": true }}